Loading...
Searching...
No Matches
dolfin::MultiMeshCoefficientAssigner Class Reference

`#include <MultiMeshCoefficientAssigner.h>`

## Public Member Functions

| MultiMeshCoefficientAssigner (MultiMeshForm &form, std::size_t number)
| Create multimesh coefficient assigner for coefficient with given number.
| ~MultiMeshCoefficientAssigner ()
| Destructor.
void | operator= (std::shared_ptr< const GenericFunction > coefficient)
| Assign coefficient from GenericFunction.
void | operator= (std::shared_ptr< const MultiMeshFunction > coefficient)
| Assign coefficient from MultiMeshFunction.

## Detailed Description

This class is used for assignment of multimesh coefficients to forms, which allows magic like

a.f = f a.g = g

which will insert the coefficients f and g in the correct positions in the list of coefficients for the form.

Note that coefficients can also be assigned manually to the individual parts of a multimesh form. Assigning to a multimesh coefficient assigner will assign the same coefficient to all parts of a form.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/MultiMeshCoefficientAssigner.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/MultiMeshCoefficientAssigner.cpp